package vip.xiaonuo.money.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.money.entity.MoneyWarning;
import vip.xiaonuo.money.param.MoneyOverduePageParam;
import vip.xiaonuo.money.param.MoneyPeopleAddParam;
import vip.xiaonuo.money.service.IMoneyPeopleService;
import vip.xiaonuo.money.service.IMoneyWarningService;

/**
 * <p>
 * 财务预警 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-11-22
 */
@RequestMapping("/money-warning")
@Api(tags = "预警通用控制器")
@ApiSupport(author = "SNOWY_TEAM", order = 1)
@RestController
@Validated
public class MoneyWarningController {

    @Autowired
    private IMoneyWarningService warningService;


    @ApiOperationSupport(order = 1)
    @ApiOperation("预警设置添加或修改")
    @PostMapping("/money-people/add")
    public CommonResult<Page<MoneyWarning>> page(@RequestBody MoneyOverduePageParam pageParam) {
        return CommonResult.data(warningService.page(pageParam));
    }
}
