package vip.xiaonuo.money.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 财务应收逾期表
 * </p>
 *
 * @author author
 * @since 2024-11-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("money_overdue")
public class MoneyOverdue implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id", position = 1)
    private String orgId;

    /**
     * 单据编号
     */
    @ApiModelProperty(value = "单据编号", position = 2)
    private String documentNumber;

    /**
     * 单据类型
     */
    @ApiModelProperty(value = "单据类型", position = 3)
    private String documentType;

    /**
     * 单据状态
     */
    @ApiModelProperty(value = "单据状态", position = 4)
    private String documentStatus;

    /**
     * 客户
     */
    @ApiModelProperty(value = "客户", position = 5)
    private String userName;


    /**
     * 应收金额
     */
    @ApiModelProperty(value = "应收金额", position = 12)
    private String  collectPrice;

    /**
     * 日期
     */
    @ApiModelProperty(value = "日期", position = 6)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date dateTime;

    /**
     * 到期日
     */
    @ApiModelProperty(value = "到期日", position = 7)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endTime;

    /**
     * 逾期时间
     */
    @ApiModelProperty(value = "逾期时间", position = 8)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date overdueTime;

    /**
     * 期末余额
     */
    @ApiModelProperty(value = "期末余额", position = 9)
    private String balance;

    /**
     * 逾期金额
     */
    @ApiModelProperty(value = "逾期金额", position = 10)
    private String overduePrice;

    /**
     * 是否逾期 0为应收 1为逾期
     */
    @ApiModelProperty(value = "是否逾期 0为应收 1为逾期", position = 11)
    private Integer isOverdue;


}
