package vip.xiaonuo.money.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 财务产品销售收入
 * </p>
 *
 * @author author
 * @since 2024-11-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("money_produce")
public class MoneyProduce implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * NF级胆固醇
     */
    @ApiModelProperty(value = "NF级胆固醇", position = 1)
    private String nfCholesterol;

    /**
     * 饲料级胆固醇
     */
    @ApiModelProperty(value = "饲料级胆固醇", position = 2)
    private String breedCholesterol;

    /**
     * 羊毛醇
     */
    @ApiModelProperty(value = "羊毛醇", position = 3)
    private String sheepAlcohol;

    /**
     * 羊毛酸
     */
    @ApiModelProperty(value = "羊毛酸", position = 4)
    private String sheepSour;

    /**
     * 羊毛酸异丙蜡
     */
    @ApiModelProperty(value = "羊毛酸异丙蜡", position = 5)
    private String sheepSourBing;

    /**
     * 其他
     */
    @ApiModelProperty(value = "其他", position = 6)
    private String other;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id", position = 7)
    private String orgId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = 8)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createTime;

    /**
     * 收入类型 0为国内 1为国外
     */
    @ApiModelProperty(value = "收入类型 0为国内 1为国外", position = 9)
    private Integer type;

    /**
     * 交易类型 0为正常交易 1为关联交易
     */
    @ApiModelProperty(value = "交易类型 0为正常交易 1为关联交易", position = 10)
    private Integer transactionType;


    /**
     * 收入类型 0为国内 1为国外
     */
    @ApiModelProperty(value = "国内收入", position = 11)
    private String inMoney;

    /**
     * 收入类型 0为国内 1为国外
     */
    @ApiModelProperty(value = "国外收入", position = 12)
    private String outMoney;
}
