package vip.xiaonuo.money.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 财务产品成本收入
 * </p>
 *
 * @author author
 * @since 2024-11-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("money_produce_price")
public class MoneyProducePrice implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 产品名称
     */
    @ApiModelProperty(value = "产品名称", position = 1)
    private String produceName;

    /**
     * 利润率
     */
    @ApiModelProperty(value = "利润率", position = 2)
    private String profit;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = 3)
    @JsonFormat(pattern = "yyyy-MM", timezone = "GMT+8")
    private Date createTime;

    /**
     * 收入
     */
    @ApiModelProperty(value = "收入", position = 4)
    private String income;

    /**
     * 成本
     */
    @ApiModelProperty(value = "成本", position = 5)
    private String cost;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id", position = 6)
    private String orgId;


}
