package vip.xiaonuo.money.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 财务预警
 * </p>
 *
 * @author author
 * @since 2024-11-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("money_warning")
public class MoneyWarning implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 预警类型
     */
    @ApiModelProperty(value = "预警类型 0银行贷款临近还款预警 1逾期收款提醒", position = 2)
    private Integer warningType;

    /**
     * 预警登记
     */
    @ApiModelProperty(value = "预警登记 0重要、1普通、2提醒", position = 3)
    private Integer warningLevel;

    /**
     * 预警内容
     */
    @ApiModelProperty(value = "预警内容", position = 4)
    private String warningContent;

    /**
     * 预警时间
     */
    @ApiModelProperty(value = "预警时间", position = 5)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date warningDate;

    /**
     * 处理人
     */
    @ApiModelProperty(value = "处理人", position = 6)
    private String dealUser;

    /**
     * 处理方法
     */
    @ApiModelProperty(value = "处理方法", position = 7)
    private String dealMethod;

    /**
     * 处理结果
     */
    @ApiModelProperty(value = "处理结果", position = 8)
    private String dealResult;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id", position = 9)
    private String orgId;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "模块预警类型0 财务 1采购 2仓库 3风控 4生产 5销售 6质量", position = 10)
    private String modelWarningType;


}
