package vip.xiaonuo.production.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 生产管控单耗
 * </p>
 *
 * @author author
 * @since 2024-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("production_consume")
public class ProductionConsume implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 物料产品
     */
    @ApiModelProperty(value = "物料产品",position = 1)
    private String material;

    /**
     * 数量
     */
    @ApiModelProperty(value = "数量",position = 2)
    private String weight;

    /**
     * 单耗
     */
    @ApiModelProperty(value = "单耗",position = 3)
    private String consume;

    /**
     * 单价
     */
    @ApiModelProperty(value = "单价",position =4 )
    private String price;

    /**
     * 单位收率
     */
    @ApiModelProperty(value = "单位收率",position =5 )
    private String rate;

    /**
     * 比例
     */
    @ApiModelProperty(value = "比例",position =6 )
    private String rank;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间",position = 7)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position = 8)
    private String orgId;

    /**
     * 车间名称
     */
    @ApiModelProperty(value = "车间名称",position =9 )
    private String locationName;


}
