package vip.xiaonuo.production.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 生产管控二级页面
 * </p>
 *
 * @author author
 * @since 2024-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("production_second")
public class ProductionSecond implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 当月标准用量
     */
    @ApiModelProperty(value = "当月标准用量",position = 1)
    private String monthStandard;

    /**
     * 当月实际用量
     */
    @ApiModelProperty(value = "当月实际用量",position =2 )
    private String monthActual;

    /**
     * 超标用量
     */
    @ApiModelProperty(value = "超标用量",position = 3)
    private String exceed;

    /**
     * 不合格批次
     */
    @ApiModelProperty(value = "不合格批次",position = 4)
    private String unqualifiedBatch;

    /**
     * 合格率
     */
    @ApiModelProperty(value = "合格率",position =5 )
    private String qualifiedRate;

    /**
     * 车间名称
     */
    @ApiModelProperty(value = "车间名称",position =6 )
    private String locationName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = 7)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position = 8)
    private String orgId;


}
