package vip.xiaonuo.production.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.production.entity.ProductionWritePlan;
import vip.xiaonuo.production.entity.ProductionWriteRate;
import vip.xiaonuo.production.mapper.ProductionWriteRateMapper;
import vip.xiaonuo.production.param.ProductionPageParam;
import vip.xiaonuo.production.param.ProductionWriteRateAddParam;
import vip.xiaonuo.production.service.IProductionWriteRateService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import vip.xiaonuo.sys.modular.org.entity.SysOrg;
import vip.xiaonuo.sys.modular.org.mapper.SysOrgMapper;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 * 生产收率填报 服务实现类
 * </p>
 *
 * @author author
 * @since 2025-03-01
 */
@Service
public class ProductionWriteRateServiceImpl extends ServiceImpl<ProductionWriteRateMapper, ProductionWriteRate> implements IProductionWriteRateService {

    @Autowired
    private ProductionWriteRateMapper writeRateMapper;
    @Autowired
    private SysOrgMapper orgMapper;

    @Override
    public CommonResult add(ProductionWriteRateAddParam param) {
        String orgId = param.getOrgId();
        SysOrg org = orgMapper.selectOne(new QueryWrapper<SysOrg>().eq("id", orgId));
        ProductionWriteRate writeRate = new ProductionWriteRate();
        BeanUtil.copyProperties(param, writeRate);
        writeRate.setOrgName(org.getName());
        writeRateMapper.insert(writeRate);
        return CommonResult.ok();
    }

    @Override
    public CommonResult list(Map<String, String> paramsMap) {
        return null;
    }

    @Override
    public CommonResult edit(ProductionWriteRate writeRate) {
        writeRateMapper.updateById(writeRate);
        return CommonResult.ok();
    }

    @Override
    public CommonResult delete(Map<String, String> paramsMap) {
        String id = paramsMap.get("id");
        writeRateMapper.deleteById(id);
        return CommonResult.ok();
    }

    @Override
    public Page<ProductionWriteRate> page(ProductionPageParam pageParam) {
        Integer pageSize = pageParam.getPageSize();
        Integer pageNum = pageParam.getPageNum();
        String orgId = pageParam.getOrgId();
        QueryWrapper<ProductionWriteRate> queryWrapper = new QueryWrapper();
        Page<ProductionWriteRate> page = new Page<>(pageNum, pageSize);
        queryWrapper.eq(StringUtils.isNotBlank(orgId), "org_id", orgId);
        return writeRateMapper.selectPage(page, queryWrapper);
    }
}
